Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.ant
Class Sftp.SftpDirectoryScanner

    java.lang.Object
      org.apache.tools.ant.DirectoryScanner
          com.sshtools.ant.Sftp.SftpDirectoryScanner

All Implemented Interfaces:
  org.apache.tools.ant.FileScanner, org.apache.tools.ant.types.selectors.SelectorScanner

Enclosing class:
  Sftp

protected class Sftp.SftpDirectoryScanner
extends org.apache.tools.ant.DirectoryScanner

Field Summary
`protected SftpClient` | `sftp`

Fields inherited from class org.apache.tools.ant.DirectoryScanner
`basedir, DEFAULTEXCLUDES, dirsDeselected, dirsExcluded, dirsIncluded, dirsNotIncluded, everythingIncluded, excludes, filesDeselected, filesExcluded, filesIncluded, filesNotIncluded, haveSlowResults, includes, isCaseSensitive, selectors`

Constructor Summary
`Sftp.SftpDirectoryScanner(SftpClient sftp)`

Method Summary
`void` | `scan()`
`protected void` | `scandir(java.lang.String dir, boolean fast)`

Methods inherited from class org.apache.tools.ant.DirectoryScanner
`addDefaultExcludes, couldHoldIncluded, getBasedir, getDeselectedDirectories, getDeselectedFiles, getExcludedDirectories, getExcludedFiles, getIncludedDirectories, getIncludedFiles, getNotIncludedDirectories, getNotIncludedFiles, isEverythingIncluded, isExcluded, isIncluded, isSelected, match, match, matchPath, matchPath, matchPatternStart, matchPatternStart, scandir, setBasedir, setBasedir, setCaseSensitive, setExcludes, setFollowSymlinks, setIncludes, setSelectors, slowScan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sftp

    protected SftpClient sftp

Constructor Detail

### Sftp.SftpDirectoryScanner

    public Sftp.SftpDirectoryScanner(SftpClient sftp)

Method Detail

### scan

    public void scan()

### scandir

    protected void scandir(java.lang.String dir,
                           boolean fast)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD